Bug 1464243 - date dialogs with "Show Past Dates" unchecked still allow selection of past dates
date dialogs with "Show Past Dates" unchecked still allow selection of past d...
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.8.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.9.0
Assigned To: Bo Yao
Dave Johnson
: TestOnly, ZStream
Depends On:
Blocks: 1498542
  Show dependency treegraph
 
Reported: 2017-06-22 15:01 EDT by Saif Ali
Modified: 2017-11-10 06:28 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1498542 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saif Ali 2017-06-22 15:01:13 EDT
Description of problem:
date dialogs with "Show Past Dates" unchecked still allow selection of past dates

Version-Release number of selected component (if applicable):
4.5

How reproducible:
see attached video

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Bo Yao 2017-07-25 11:33:22 EDT
The problem is actually more severe than expected here. In one page load, all Date Pickers in the same dialog can only be the same start date, because calDateFrom is stored as global variable (ManageIQ.calendar.calDateFrom). 
Also, this has a potential problem with zone. In my time zone (New York -5:00), after get start date work and previous dates not selectable, I can still select yesterday (can't select the day before yesterday).
Comment 5 CFME Bot 2017-09-14 05:08:34 EDT
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/8949d8d7a5e592af11a4c59c0b62d5272a342c68

commit 8949d8d7a5e592af11a4c59c0b62d5272a342c68
Author:     Bo Yao <boyao@redhat.com>
AuthorDate: Wed Jul 26 11:49:32 2017 -0400
Commit:     Bo Yao <boyao@redhat.com>
CommitDate: Wed Jul 26 11:49:32 2017 -0400

    Add per datepicker property for start date
    https://bugzilla.redhat.com/show_bug.cgi?id=1464243

 app/views/miq_ae_customization/_dialog_sample.html.haml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Note You need to log in before you can comment on or make changes to this bug.